SDK4.0 This document shows Ameba SDK 4.0 APIs

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
rtw_wifi_setting Struct Reference
Ameba SDK » WLAN » NIC

The structure is used to store the WIFI setting gotten from WIFI driver. More...

`#include <wifi_structures.h>`

## Data Fields
rtw_mode_t | mode
unsigned char | ssid [33]
unsigned char | channel
rtw_security_t | security_type
unsigned char | password [65]
unsigned char | key_idx

## Detailed Description

The structure is used to store the WIFI setting gotten from WIFI driver.

The documentation for this struct was generated from the following file:

- wifi_structures.h